Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

Dark Dreams of Furiae - a new module for NWN:EE! Buy now
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!

Game doesn't work on Android 10.

Everytime I open the game it tells me the app was made for an older version of Android before closing. Is there a newer version somewhere that's compatible with Android 10? It's pretty upsetting that I can't play this gem on my phone.

Sign In or Register to comment.